QGIS Application - Bug report #11764
Primary digitizing tools do not work in QGIS 2.6 (create and divide polygons by hand)
2014-11-30 06:57 AM - Lars Wikars

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 19996
Description

| try to use the digitising tools in QGIS 2.6 in the same way as | did in QGIS 2.2 (creating new polygons, dividing already existing
polygons, shanging the shape of polygons). None of these actions work any more in QGIS 2.6. The whole process seems to freeze, while
doing this. It also starts the digitizing process randoomly at the map, and not where | put down the cursor.

History

#1 - 2014-11-30 07:11 AM - Giovanni Manghi
- Status changed from Open to Feedback

fresh project? did you checked your snapping options? does it happens with any layer in any project? can you attach sample data?

#2 - 2014-11-30 07:40 AM - Lars Wikars
- File Atgard-uppdeladpolygon.shx added
- File Atgard-uppdeladpolygon.shp added
- File Atgard-uppdeladpolygon.qpj added
- File Atgard-uppdeladpolygon.prj added
- File Atgard-uppdeladpolygon.dbf added
- Assignee set to Giovanni Manghi

Very much thanks for your Quick reply!

Itis a Project that | started in QGIS 2.2.

| changed the snapping option according to this video

https://www.youtube.com/watch?v=1xl0gdmaHRg

including marking the box for topological editing and increasing the snapping tolerance.

but the digitizing Tools still works very awkardly (freezes etc)

There are many data layers in my project, but | send a file one of them (originally a forestry database in which | have included my own parameters). For this
specific file | tried to divide some of the polygons, without success. | have also tried to create new polygon layers by making polygons by free hand, also

without success.

#3 - 2014-11-30 09:47 AM - Giovanni Manghi
- Priority changed from High to Normal

Lars Wikars wrote:
Very much thanks for your Quick reply!

It is a Project that | started in QGIS 2.2.

I changed the snapping option according to this video
https.://www.youtube.com/watch ?v=1xI0gdmaHRg

but the digitizing Tools still works very awkardly (freezes etc)

free hand, also without success.

including marking the box for topological editing and increasing the snapping tolerance.

There are many data layers in my project, but | send a file one of them (originally a forestry database in which | have included my own parameters).
For this specific file | tried to divide some of the polygons, without success. | have also tried to create new polygon layers by making polygons by

your vector has nothing strange. The problem is probably in your snapping options, if for any reason they got mangled stepping from 2.2 to 2.6 then you

should be able to reconfigure them without much effort. Please give it a try and report back.

#4 - 2015-01-10 10:27 AM - Jiirgen Fischer
- Assignee deleted (Giovanni Manghi)

#5 - 2015-05-11 01:16 PM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to not reproducable

closing for lack of feedback.
